%bcond_without mead

%define origtag %{nil}
%define reltag %{?origtag}_redhat_1
%define namedreltag %{?origtag}-redhat-1
%define origversion %{version}%{?origtag}
%global namedversion %{version}%{?namedreltag}

%define maven_version 0.33.3-redhat-1

Name:           jboss-aesh
Version:        0.33.3
Release:        1%{?reltag}%{?dist}
Epoch:          0
Summary:        AEsh
License:        EPL
Group:          Development/Java

%if %with mead
Source100: org.jboss.aesh-aesh-0.33.3-redhat-1-sources.zip
Source101: org.jboss.aesh-aesh-0.33.3-redhat-1-patches.zip
Source102: aesh-0.33.3-redhat-1-tests.jar
Source103: aesh-0.33.3-redhat-1-javadoc.jar
Source104: aesh-0.33.3-redhat-1.pom
Source105: aesh-0.33.3-redhat-1.jar
Source106: aesh-0.33.3-redhat-1-sources.jar
%endif

URL:            https://github.com/aesh/aesh
# XXX: To match the artifactId and version in pom.xml
Provides:       aesh = %{epoch}:%{version}-%{release}
Provides:       aesh = %{namedversion}
#
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if 0
# FIXME: this is really required (for building), but we do not ship it with EAP 6
Requires:       jboss-parent >= 0:8
%endif
BuildRequires:  jboss-parent >= 0:8
%if 0
# FIXME: the scope of this is wrong and it's not needed on non-Windows os
Requires:       jansi >= 0:1.9
BuildRequires:  jansi >= 0:1.9
%endif
BuildRequires:  junit >= 0:4.8.1
%if %without mead
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-jar-plugin
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
AEsh (Another Extendable SHell).

%prep
%setup -q -n aesh -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/aesh-%{namedversion}.jar %{buildroot}%{_javadir}/aesh-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/aesh-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/aesh-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/aesh-%{namedversion}-sources.jar %{buildroot}%{_javadir}/aesh-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/aesh-%{namedversion}-tests.jar %{buildroot}%{_javadir}/aesh-%{namedversion}-tests.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/aesh-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-aesh.pom

# depmaps
%add_to_maven_depmap org.jboss.aesh aesh %{namedversion} JPP aesh
[ %{name} = "aesh" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/aesh

# docs
%{__mkdir_p} %{buildroot}%{_docdir}/aesh-%{namedversion}
%{__cp} -p license.txt README.md %{buildroot}%{_docdir}/aesh-%{namedversion}
%{__ln_s} aesh-%{namedversion} %{buildroot}%{_docdir}/aesh

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/aesh-%{namedversion}
%doc %{_docdir}/aesh
%{_javadir}/aesh-%{namedversion}.jar
%{_javadir}/aesh.jar
%exclude %{_javadir}/aesh-%{namedversion}-javadoc.jar
%exclude %{_javadir}/aesh-javadoc.jar
%{_javadir}/aesh-%{namedversion}-sources.jar
%{_javadir}/aesh-sources.jar
%exclude %{_javadir}/aesh-%{namedversion}-tests.jar
%exclude %{_javadir}/aesh-tests.jar
%{_mavenpomdir}/JPP-aesh.pom
%{_mavendepmapfragdir}/aesh

%changelog
* Wed Apr 10 2013 Vladimir Dosoudil <dosoudil@redhat.com> 0:0.33.3-1_redhat_1
- Upgrade to 0.33.3

* Wed Mar 27 2013 Vladimir Dosoudil <dosoudil@redhat.com> 0:0.33.1-1_redhat_1
- Upgrade to 0.33.1

* Mon Mar 04 2013 David Walluck <dwalluck@redhat.com> 0:0.33-4
- update sources

* Fri Mar 01 2013 David Walluck <dwalluck@redhat.com> 0:0.33-3
- exclude javadoc and tests jars

* Fri Mar 01 2013 David Walluck <dwalluck@redhat.com> 0:0.33-2
- remove Requires: jboss-parent

* Fri Mar 01 2013 David Walluck <dwalluck@redhat.com> 0:0.33-1
- release
